Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1493092 - [abrt] setroubleshoot-server: sighandler(): service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
Summary: [abrt] setroubleshoot-server: sighandler(): service.py:647:_message_cb:System...
Keywords:
Status: CLOSED DUPLICATE of bug 1366004
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d39da3bb52ff728109278f9b5c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 11:12 UTC by Mike FABIAN
Modified: 2017-09-19 15:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-19 15:14:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.08 KB, text/plain)
2017-09-19 11:13 UTC, Mike FABIAN
no flags Details
File: cgroup (253 bytes, text/plain)
2017-09-19 11:13 UTC, Mike FABIAN
no flags Details
File: cpuinfo (1.28 KB, text/plain)
2017-09-19 11:13 UTC, Mike FABIAN
no flags Details
File: environ (88 bytes, text/plain)
2017-09-19 11:13 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.56 KB, text/plain)
2017-09-19 11:13 UTC, Mike FABIAN
no flags Details
File: namespaces (102 bytes, text/plain)
2017-09-19 11:13 UTC, Mike FABIAN
no flags Details
File: open_fds (805 bytes, text/plain)
2017-09-19 11:13 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2017-09-19 11:12:56 UTC
Version-Release number of selected component:
setroubleshoot-server-3.3.12-3.fc27

Additional info:
reporter:       libreport-2.9.2
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
crash_function: sighandler
exception_type: SystemExit
executable:     /usr/sbin/setroubleshootd
kernel:         4.13.0-1.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            991

Truncated backtrace:
service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/connection.py", line 521, in _signal_func
    def _signal_func(self, message):
  File "/usr/lib/python3.6/site-packages/setroubleshoot/server.py", line 114, in sighandler
    sys.exit()
SystemExit

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 647, in _message_cb
    if not isinstance(message, MethodCallMessage):
SystemError: <built-in function isinstance> returned a result with an error set

Local variables in innermost frame:
self: <setroubleshoot.server.SetroubleshootdDBusObject at /org/fedoraproject/Setroubleshootd at 0x7f22e8e0cef0>
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Setroubleshootd, iface: org.fedoraproject.SetroubleshootdIface, member: avc dest: org.fedoraproject.Setroubleshootd>
connection: <dbus._dbus.SystemBus (system) at 0x7f22e11a26d0>

Potential duplicate: bug 1429711

Comment 1 Mike FABIAN 2017-09-19 11:13:04 UTC
Created attachment 1327907 [details]
File: backtrace

Comment 2 Mike FABIAN 2017-09-19 11:13:06 UTC
Created attachment 1327908 [details]
File: cgroup

Comment 3 Mike FABIAN 2017-09-19 11:13:07 UTC
Created attachment 1327909 [details]
File: cpuinfo

Comment 4 Mike FABIAN 2017-09-19 11:13:09 UTC
Created attachment 1327910 [details]
File: environ

Comment 5 Mike FABIAN 2017-09-19 11:13:11 UTC
Created attachment 1327911 [details]
File: mountinfo

Comment 6 Mike FABIAN 2017-09-19 11:13:12 UTC
Created attachment 1327912 [details]
File: namespaces

Comment 7 Mike FABIAN 2017-09-19 11:13:14 UTC
Created attachment 1327913 [details]
File: open_fds

Comment 8 Petr Lautrbach 2017-09-19 15:14:36 UTC

*** This bug has been marked as a duplicate of bug 1366004 ***


Note You need to log in before you can comment on or make changes to this bug.